curl --request POST \
--url https://app.sideshift.app/api/v1/scrape/tiktok/reposts \
--header 'Content-Type: application/json' \
--data '
{
"handle": "tiktok",
"cursor": "0"
}
'import requests
url = "https://app.sideshift.app/api/v1/scrape/tiktok/reposts"
payload = {
"handle": "tiktok",
"cursor": "0"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({handle: 'tiktok', cursor: '0'})
};
fetch('https://app.sideshift.app/api/v1/scrape/tiktok/reposts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"cursor": "30",
"has_more": true,
"unique_id": "tiktok",
"user_id": null,
"aweme_list": [
{
"anchors": null,
"author_user_id": "292342703596507136",
"aweme_id": "7671088500850101534",
"aweme_type": 0,
"create_time": 1786064480,
"create_time_utc": "2026-08-07T01:01:20.000Z",
"desc": "AND ITS LIVE ON @TikTok and @iHeartRadio IN 1 HOUR",
"desc_language": null,
"image_post_info": null,
"is_ad": false,
"is_eligible_for_commission": null,
"is_nff_or_nr": false,
"is_paid_partnership": null,
"is_top": 0,
"item_comment_settings": 0,
"media_id": "v15044gf0000d9qio3vog65i02gotgig",
"region": "US",
"shop_product_url": null,
"url": "https://www.tiktok.com/@alexwarren/video/7671088500850101534",
"author": {
"events": null,
"language": null,
"nickname": "Alex Warren",
"region": "US",
"sec_uid": null,
"short_id": null,
"signature": null,
"social_info": null,
"uid": "292342703596507136",
"unique_id": "alexwarren",
"avatar_larger": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:300:300.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:300:300.jpeg"
]
},
"avatar_medium": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:300:300.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:300:300.jpeg"
]
},
"avatar_thumb": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:300:300.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:300:300.jpeg"
]
}
},
"commerce_info": {
"adv_promotable": false,
"auction_ad_invited": false,
"branded_content_type": 0,
"is_diversion_ad": 0,
"organic_log_extra": "{\"req_id\":\"20260807231141A33ECE668573E13C65D8\"}",
"with_comment_filter_words": false
},
"music": {
"album": null,
"author": "Alex Warren",
"duration": 18,
"id": "7667300537578801950",
"id_str": "7667300537578801950",
"is_original": true,
"is_original_sound": true,
"mid": "7667300537578801950",
"owner_nickname": "Alex Warren",
"title": "RESCUER BRIDGE",
"user_count": null,
"cover_large": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:1080:1080.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:1080:1080.jpeg"
]
},
"cover_medium": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:1080:1080.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:1080:1080.jpeg"
]
},
"cover_thumb": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:1080:1080.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/e55faf9f219550b3b75f6dbf64a7717f~tplv-tiktokx-cropcenter:1080:1080.jpeg"
]
}
},
"statistics": {
"aweme_id": "7671088500850101534",
"collect_count": 5162,
"comment_count": 1708,
"digg_count": 107894,
"download_count": 90,
"forward_count": null,
"lose_comment_count": null,
"lose_count": null,
"play_count": 1203738,
"repost_count": null,
"share_count": 1371,
"whatsapp_share_count": null
},
"video": {
"data_size": 2129659,
"duration": 9,
"height": null,
"watermark_data_size": 1953959,
"width": null,
"cover": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oIDZ1lfyAV6lUFAIpn4EAeqQE6IILEeAjIBA66~tplv-tiktokx-cropcenter-q:300:400:q70.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oIDZ1lfyAV6lUFAIpn4EAeqQE6IILEeAjIBA66~tplv-tiktokx-cropcenter-q:300:400:q70.jpeg"
]
},
"download_addr": {
"height": null,
"uri": "https://v45.tiktokcdn-us.com/9b94166b167124eea8ce72e6901ff5d6/6a76ba96/video/tos/useast8/tos-useast8-pve-0068-tx2/o4lIyOiRGBA0u1qmCKYHLlAIBfAbiiQwOA31pE/",
"url_prefix": null,
"width": null,
"url_list": [
"https://v45.tiktokcdn-us.com/9b94166b167124eea8ce72e6901ff5d6/6a76ba96/video/tos/useast8/tos-useast8-pve-0068-tx2/o4lIyOiRGBA0u1qmCKYHLlAIBfAbiiQwOA31pE/"
]
},
"dynamic_cover": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oIDZ1lfyAV6lUFAIpn4EAeqQE6IILEeAjIBA66~tplv-tiktokx-origin.image",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oIDZ1lfyAV6lUFAIpn4EAeqQE6IILEeAjIBA66~tplv-tiktokx-origin.image"
]
},
"origin_cover": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oMmp4BOAIAqHAwBCyiLijOYGPIJIAJiG11AKlf~tplv-tiktokx-shrink-aq:360:360:q75.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oMmp4BOAIAqHAwBCyiLijOYGPIJIAJiG11AKlf~tplv-tiktokx-shrink-aq:360:360:q75.webp"
]
},
"play_addr": {
"height": null,
"uri": "https://v45.tiktokcdn-us.com/8a31c1a2843410be8894c0b781fff575/6a76ba96/video/tos/useast8/tos-useast8-pve-0068-tx2/owIzwIA1LO1LYiOxyl9BmAQCqwifAHABGECKip/",
"url_prefix": null,
"width": null,
"url_list": [
"https://v45.tiktokcdn-us.com/8a31c1a2843410be8894c0b781fff575/6a76ba96/video/tos/useast8/tos-useast8-pve-0068-tx2/owIzwIA1LO1LYiOxyl9BmAQCqwifAHABGECKip/"
]
}
}
}
]
},
"request_id": "req_8f3c9a2b1d4e6f70",
"upstream_calls": 1,
"meta": {
"credits_charged": 1,
"credits_remaining": 9998
}
}{
"error": "INVALID_INPUT",
"message": "Invalid request body.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UNAUTHORIZED",
"message": "Invalid scraper API key.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INSUFFICIENT_SCRAPER_CREDITS",
"message": "Insufficient scraper credits.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "RESOURCE_NOT_FOUND",
"message": "Requested resource not found or unavailable.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "PAYLOAD_TOO_LARGE",
"message": "Request body must be 32KB or smaller.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "SCRAPER_RATE_LIMITED",
"message": "Scraper API rate limit exceeded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INTERNAL_ERROR",
"message": "Request failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_ERROR",
"message": "Data source failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_TIMEOUT",
"message": "Data source timed out. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}Posts a creator reposted. Platform field names are preserved inside data. Billing: 1 SideShift credit per completed lookup.
Body
Creator's username/handle (with or without @). Accepted alias group: handle or unique_id.
Creator's username/handle (with or without @). Accepted alias group: handle or unique_id.
Numeric TikTok user id — an alternative to unique_id
Pagination cursor — echo back the cursor from the previous response. Omit it for the first page.
Response
Completed lookup. 1 SideShift credit.
TikTok platform data payload. Field names and nesting are preserved.
Show child attributes
Show child attributes
SideShift request id. Include it in support requests.
Number of data-source lookups performed.
1 Per-request credit accounting (also surfaced in the X-Scraper-Credits-* response headers).
Show child attributes
Show child attributes